html, body {
  height: 100%;
  margin: 0;
}

a {
  text-decoration: none;
  color: #0062cc;
}

a:hover {
  text-decoration: underline;
}

a:visited {
  color: #0062cc;
}

code {
  border-radius: 6px;
  padding: .2em .4em;
  background-color: rgba(0,0,0,.05);
}

body {
  display: flex;
  flex-direction: column;
}

header {
  flex-grow: 0;
  flex-shrink: 1;
  flex-basis: auto;
  margin: .5em;
}

header nav {
  display: flex;
}

header nav h1 {
  margin: 0;
}

header nav ul {
  display: flex;
  align-items: center;
  list-style-type: none;
}
header nav ul li {
  margin: 0 .5em;
}

main {
  margin: .5em;
}

.posts, .portfolio {
  max-width: 768px;
  margin: 1em auto;
  padding: 1em;
  border-radius: .5em;
  border: 1px solid rgba(102, 175, 233, .25);
  list-style-type: none;
  animation: 3s infinite alternate pulse;
}

.portfolio ul {
  padding: 0 40px;
}
.portfolio ul li {
  margin-bottom: 16px;
}
.portfolio ul li p {
  margin: 0;
}

.portfolio video {
  margin: 1em 0;
  height: 100%;
  width: 100%;
}


@media screen and (width <= 768px) {
  header nav {
    justify-content: space-between;
  }

  .posts, .portfolio {
    box-shadow: 0 0 90px -20px #0074FF;
  }

  .portfolio ul {
    padding: 0 15px;
  }
}

@keyframes pulse {
  from {
    box-shadow: 0 0 90px -75px #0074FF;
  }

  to {
    box-shadow: 0 0 90px 0 #0074FF;
  }
}

